Name:           efitools
Version:        1.9.2
Release:        6%{?dist}
Summary:        Tools to manipulate EFI secure boot keys and signatures
License:        GPLv2 and LGPLv2 and BSD

# call-to-mktemp: 
# https://github.com/vathpela/efitools/issues/2
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git
Source0:        %{url}/snapshot/%{name}-%{version}.tar.gz

# same as gnu-efi
ExclusiveArch:  %{efi}

BuildRequires:  pkgconfig(openssl)

BuildRequires:  gcc
BuildRequires:  gnu-efi-devel
BuildRequires:  help2man
BuildRequires:  openssl
BuildRequires:  perl-File-Slurp
BuildRequires:  sbsigntools

Requires:       coreutils%{_isa}
Requires:       mtools%{_isa}
Requires:       parted%{_isa}
Requires:       util-linux%{_isa}
Recommends:     sbsigntools%{_isa}

%description
This package installs a variety of tools for manipulating keys and binary
signatures on UEFI secure boot platforms.
The tools provide access to the keys and certificates stored in the
secure variables of the UEFI firmware, usually in the NVRAM area.

%prep
%autosetup

%build
%set_build_flags
%make_build -j1

%install
%make_install DOCDIR=%{buildroot}%{_docdir}/%{name}/ CFLAGS="%{optflags}"

rm -v %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc README
%license COPYING

%{_datadir}/%{name}/
%{_mandir}/man1/*.1.*

%{_bindir}/cert-to-efi-hash-list
%{_bindir}/cert-to-efi-sig-list
%{_bindir}/efi-readvar
%{_bindir}/efi-updatevar
%{_bindir}/efitool-mkusb
%{_bindir}/flash-var
%{_bindir}/hash-to-efi-sig-list
%{_bindir}/sig-list-to-certs
%{_bindir}/sign-efi-sig-list

%changelog
* Mon Dec 05 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-efitools.git

* Mon Dec 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9cb0b28
- version 1.9.2-6

* Mon Aug 01 2022 Ivan Kardykov <kardykov@tabit.pro> - e21ce7a
- spec: disable concurrent build

* Sun Jul 31 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99887ab
- Add qubes-builder integration and CI

* Sun Jul 31 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e94585
- Import efitools-1.9.2-5.src

